package com.ssj.bean.sys.opentest;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "tb_test_module_result")
public class OpenTestModuleResult extends BaseEntity {
	private static final long serialVersionUID = 890135943022798129L;
    /**
     * 结果id
     */
    private String resultId;
    private String userId;
    private String testUserId;
    private String name;
    private String grade;
    private String subject;
    private String version;
    /**
     * 正确率(这个存的数保留两位小数，如99.99，实际上这个正确率是99.99%)
     */
    private BigDecimal accuracyRate;
    /**
     * 所有人平均正确率(这个存的数保留两位小数，如99.99，实际上这个正确率是99.99%)
     */
    private BigDecimal avgAccuracyRate;
    /**
     * 情况（掌握良好/部分掌握/未能掌握）
     */
    private String situation;
    /**
     * 答题情况
     */
    private String answerSituation;
    /**
     * 建议
     */
    private String suggestion;
    /**
     * 正确数量
     */
    private int rightNum;
    /**
     * 错误数量
     */
    private int wrongNum;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 排序
     */
    private int moduleSort;
    /**
     * 0生效 1失效
     */
    private int isDelete;
    /**
     * 学期
     */
    private String semester;

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public int getModuleSort() {
        return moduleSort;
    }

    public void setModuleSort(int moduleSort) {
        this.moduleSort = moduleSort;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getResultId() {
        return resultId;
    }

    public void setResultId(String resultId) {
        this.resultId = resultId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTestUserId() {
        return testUserId;
    }

    public void setTestUserId(String testUserId) {
        this.testUserId = testUserId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSituation() {
        return situation;
    }

    public void setSituation(String situation) {
        this.situation = situation;
    }

    public String getAnswerSituation() {
        return answerSituation;
    }

    public void setAnswerSituation(String answerSituation) {
        this.answerSituation = answerSituation;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public int getRightNum() {
        return rightNum;
    }

    public void setRightNum(int rightNum) {
        this.rightNum = rightNum;
    }

    public int getWrongNum() {
        return wrongNum;
    }

    public void setWrongNum(int wrongNum) {
        this.wrongNum = wrongNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRate(BigDecimal accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public BigDecimal getAvgAccuracyRate() {
        return avgAccuracyRate;
    }

    public void setAvgAccuracyRate(BigDecimal avgAccuracyRate) {
        this.avgAccuracyRate = avgAccuracyRate;
    }
}
